/* Color filters */

.filter-black {
    filter: invert(11%) sepia(0%) saturate(0%) hue-rotate(137deg) brightness(102%) contrast(95%);
}

.filter-red {
    filter: invert(26%) sepia(54%) saturate(6639%) hue-rotate(348deg) brightness(87%) contrast(113%);
}

.filter-white {
    filter: invert(100%) sepia(0%) saturate(100%) hue-rotate(200deg) brightness(100%) contrast(100%);
}

.filter-green {
    filter: invert(64%) sepia(41%) saturate(6660%) hue-rotate(73deg) brightness(99%) contrast(67%);
}

.filter-blue {
    filter: invert(25%) sepia(27%) saturate(7492%) hue-rotate(221deg) brightness(107%) contrast(81%);
}

.filter-yellow {
    filter: invert(72%) sepia(80%) saturate(471%) hue-rotate(348deg) brightness(106%) contrast(101%);
}

.filter-brown {
    filter: invert(19%) sepia(94%) saturate(2361%) hue-rotate(27deg) brightness(92%) contrast(85%);
}

.filter-orange {
    filter: invert(55%) sepia(65%) saturate(5349%) hue-rotate(1deg) brightness(100%) contrast(101%);
}

.filter-pink {
    filter: invert(72%) sepia(50%) saturate(620%) hue-rotate(291deg) brightness(101%) contrast(101%);
}

.filter-turquoise {
    filter: invert(60%) sepia(78%) saturate(4467%) hue-rotate(169deg) brightness(93%) contrast(77%);
}

.filter-grey {
    filter: invert(83%) sepia(1%) saturate(0%) hue-rotate(11deg) brightness(84%) contrast(85%);
}

.filter-violet {
    filter: invert(54%) sepia(8%) saturate(3262%) hue-rotate(249deg) brightness(89%) contrast(82%);
}

/* Cropping */

.img-square,
.img-circle {
    aspect-ratio: 1;
    overflow: hidden;
    object-fit: cover;
}

.img-circle {
    border-radius: 50%;
}


/* Content template */

.alert-muted {
    position: relative;
    padding: 1rem 1.25rem;
    margin-bottom: 1rem;
    border: 1px solid #d3d6d8;
    border-radius: 0.375rem;
    background-color: #e2e3e5;
    color: #41464b;
}

.link-active {
    text-decoration: underline;
    cursor: pointer;
    color: #0d6efd;
    transition: color 0.15s ease;
}

.link-active:hover {
    color: #0a58ca;
    text-decoration: none;
}
